// swift-tools-version: 5.8
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "apollo-codegen-issue",
    platforms: [.macOS(.v12)],
    products: [
        // Products define the executables and libraries a package produces, making them visible to other packages.
        .library(
            name: "apollo-codegen-issue",
            targets: ["apollo-codegen-issue"]),
    ],
    dependencies: [
        .package(url: "https://github.com/apollographql/apollo-ios", branch: "main"),
        .package(path: "API")
    ],
    targets: [
        // Targets are the basic building blocks of a package, defining a module or a test suite.
        // Targets can depend on other targets in this package and products from dependencies.
        .target(
            name: "apollo-codegen-issue",
            dependencies: [
                .product(name: "Apollo", package: "apollo-ios"),
                "API",
            ]),
        .testTarget(
            name: "apollo-codegen-issueTests",
            dependencies: ["apollo-codegen-issue"]),
    ]
)
